#!/usr/bin/perl
open(IN, "./input.dat") or die "cannot open\n";
@data = <IN>;
close(IN);
open(OUT_1, ">./regionlist.dat");
open(OUT_2, ">./servicelist.dat");
foreach(@data){
    if($_ =~ /#/){
       chomp $_;
       @subdata_1 = split(/\t/, $_);
       print OUT_1 "$subdata_1[1]\t$subdata_1[2]\t$subdata_1[3]\t$subdata_1[4]\n";
       $i = 1;
   }else{
       $num = sprintf("%03s", $i);
       $address = $subdata_1[1].$num;
       print OUT_2 "$address\t$_";
       $i++;
   }
}
   print OUT_2 "--end--\n";
close(OUT_1);
close(OUT_2);
# divide: region
open(IN, "./regionlist.dat") or die "cannot open\n";
@data = <IN>;
close(IN);
foreach $i (1){ #country
    $url_1 = sprintf("%03s", $i);
    foreach $j (1){ #prefecture
	$url_2 = sprintf("%03s", $j);
	foreach $k (1 .. 10){ #city: included regionlist_??.dat
	    $url_3 = sprintf("%03s", $k);
	    $dir = $url_1.$url_2.$url_3;
	    open(OUT, ">./$url_1/$url_2/$url_3/regionlist_$dir.dat");
	    foreach(@data){
		if($_ =~ /$dir[0-9]../){
		    print OUT $_;
		}
	    }
	    close(OUT);
	    print ".\n";
        }
    }
}
#divide: service
open(IN, "./servicelist.dat") or die "cannot open\n";
@data = <IN>;
close(IN);
foreach $i (1){ #country
    $url_1 = sprintf("%03s", $i);
    foreach $j (1){ #prefecture
	$url_2 = sprintf("%03s", $j);
	foreach $k (1 .. 3){ #city: included regionlist_??.dat
	    $url_3 = sprintf("%03s", $k);
	    foreach $l (0 .. 200){ #street: included mobile_index.cgi servicelist_??.dat
		$url_4 = sprintf("%03s", $l);
		$dir = $url_1.$url_2.$url_3.$url_4;
		open(OUT, ">./$url_1/$url_2/$url_3/$url_4/servicelist_$dir.dat");
		foreach(@data){
		    if($_ =~ /$dir[0-9]../){
			print OUT $_;
		    }
		}
		close(OUT);
		print ".\n";
            }
        }
    }
}
